Package com.sun.mail.imap.protocol

## Interface SaslAuthenticator

All Known Implementing Classes:
  `IMAPSaslAuthenticator`

    public interface SaslAuthenticator

Interface to make it easier to call IMAPSaslAuthenticator.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `authenticate​(String[] mechs, String realm, String authzid, String u, String p)`

### Method Detail

#### authenticate

    boolean authenticate​(String[] mechs,
                         String realm,
                         String authzid,
                         String u,
                         String p)
                  throws ProtocolException

Throws:
  `ProtocolException`